// Copyright 2023 schukai GmbH
// SPDX-License-Identifier: AGPL-3.0

package document

import (
	"gitlab.schukai.com/oss/utilities/documentation-manager/environment"
	"os"
	"path"
	"path/filepath"
	"strings"
)

func CreateNewDocument(name string, root string, template string, date string) {

	path := path.Join(root, name)

	fileExtension := filepath.Ext(path)
	if fileExtension == "" {
		path += ".md"
	} else if fileExtension != ".md" {
		environment.ExitWithError(1, "file extension %s is not supported", fileExtension)
	}

	template = strings.Replace(template, "%%CREATED%%", date, -1)

	err := os.WriteFile(path, []byte(template), 0644)
	checkError(err)

}
